#!/bin/ksh

##############################################################################
# billnew.cgi
#function: displays bill information
# allows user to pay for the bill using credit card
# takes input from user all credit card info
#invokes pay.cgi script that initiates update to DB through Java code execution
#
# input: file billInfo.out; 
# output: crdit card type, card number, expiration date, user id, and pin
############################################################################

ipaddr=`awk ' { print $11 } ' billInfo.out `
pin=`awk ' { print $13 } ' billInfo.out `                                       

echo "Content-type: text/x-hdml"
echo ""                                                                         
echo "<HDML VERSION=2.0> <DISPLAY>"
echo "<ACTION TYPE=SOFT1 TASK=GOSUB LABEL=Pay DEST=#crdt1 NEXT=http://sai.tri.sbc.com/hdml/main.hdml>"
echo "<ACTION TYPE=ACCEPT TASK=RETURN LABEL=Done>"
dueDate=`awk ' { print $2 }' billInfo.out `
amount=`awk ' { print  $5 }' billInfo.out `
echo "Due: <br> $dueDate "
echo "<br>  &dol;$amount "
echo "</DISPLAY>"                                                               

    echo "<DISPLAY NAME=pmenu>
  	<ACTION TYPE=ACCEPT LABEL=enter TASK=GOSUB  
		RECEIVE=var1;var2;var3 NEXT=pay.cgi?TYPE=\$var1&NUM=\$var2&DATE=\$var3&IPADR=$ipaddr&PIN=$pin DEST=#crdt1>
 	Credit Card Information	
    </DISPLAY>"
#############################################################
# code unused in final implementation
# used for debugging purposes only
echo " <DISPLAY NAME=results>
	<ACTION TYPE=ACCEPT TASK=RETURN LABEL=Done>
	<LINE>Results:
	<BR>Type=\$(var1)
	<BR>Num=\$(var2)
	<BR>exp=\$(var3)
</DISPLAY> "
############################################################

# selection of credit card type from a list
echo " <CHOICE NAME=crdt1 KEY=typ >
  	<ACTION TYPE=ACCEPT LABEL=enter TASK=GOSUB  
	RECEIVE=var2;var3 NEXT=pay.cgi?TYPE=\$typ&NUM=\$var2&DATE=\$var3&IPADR=$ipaddr&PIN=$pin DEST=#crdt2>
	<ACTION TYPE=PREV TASK=GO DEST=#cancelshield>
	Credit Card:
	<CE VALUE=amex>AMEX
	<CE VALUE=visa>VISA
	<CE VALUE=discover>DISCOVER
	<CE VALUE=mastercd>MASTERCARD
    </CHOICE>"

#16 digit credit card number entry
  echo " <ENTRY NAME=crdt2 KEY=num FORMAT=NNNNNNNNNNNNNNNN>
	<ACTION TYPE=ACCEPT TASK=GO DEST=#crdt3>
	Card Num:
    </ENTRY>"

#entry for expiration date of the form mm/yy
  echo " <ENTRY NAME=crdt3 KEY=dt FORMAT=NN/NN>
	<ACTION TYPE=ACCEPT TASK=RETURN LABEL=submit RETVALS=\$(num);\$(dt)>
	Expires:
    </ENTRY>"

#cancel input if user chooses to do so
   echo " <DISPLAY NAME=cancelshield>
	<ACTION TYPE=ACCEPT LABEL=Yes TASK=CANCEL> 
	<ACTION TYPE=SOFT1 LABEL=No TASK=GO DEST=#crdt1> 
	Cancel payment?
    </DISPLAY>"

##############################################################
#code unsed in final implementation
#used for debugging only
 echo "   <DISPLAY NAME=conf>
	<ACTION TYPE=ACCEPT TASK=RETURN LABEL=Yes RETVALS=\$(my1);\$(my2);\$(my3)>
	<ACTION TYPE=SOFT1 LABEL=No TASK=PREV> 
	Submit payment? 
    </DISPLAY>"
#######################################################################

echo "</HDML>"
